Skip to main content
`Ctrl`+`K`

# MatLMVMSymBadBroydenSetPsi

Get the psi parameter for a Broyden class quasi-Newton update matrix

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSymBadBroydenSetPsi(Mat B, PetscReal psi)

## Input Parameters

- B - The matrix

- psi - a number defining an update that is a convex combination of the BFGS update (psi = 1) and DFP update (psi = 0)

## Note

If `B` cannot have a constant value of `psi` for all iterations this will be ignored. This is the case if `B` is a `MATLMVMSYMBROYDEN`, where `psi`’s dual value `phi` is constant and `psi` changes from iteration to iteration.

## See Also

KSP: Linear System Solvers, `MATLMVMSYMBROYDEN`, `MATLMVMSYMBADBROYDEN`, `MATLMVMDFP`, `MATLMVMBFGS`, `MatLMVMSymBadBroydenGetPsi()`, `MatLMVMSymBroydenGetPhi()`, `MatLMVMSymBroydenSetPhi()`

## Level

developer

## Location

src/ksp/ksp/utils/lmvm/symbrdn/symbrdn.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages